% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 5: Máquinas de Vectores Soporte
% Autores: Jesús Antonio Vega Sánchez y Sebastián Dormido Canto

function adhdddv(opcion)

%Todos a No Seleccionado
set(findobj('Tag','RadioButtonA'),'value',0);
set(findobj('Tag','RadioButtonDH'),'value',0);
set(findobj('Tag','RadioButtonDD'),'value',0);
set(findobj('Tag','RadioButtonDV'),'value',0);

switch opcion
		case 1   
         set(findobj('Tag','RadioButtonA'),'value',1);
         set(findobj('Tag','RadioButtonA'),'userdata','a');
      case 2
         set(findobj('Tag','RadioButtonDH'),'value',1);
         set(findobj('Tag','RadioButtonA'),'userdata','h');

		case 3
         set(findobj('Tag','RadioButtonDD'),'value',1);
         set(findobj('Tag','RadioButtonA'),'userdata','d');

      otherwise
         set(findobj('Tag','RadioButtonDV'),'value',1);
         set(findobj('Tag','RadioButtonA'),'userdata','v');

end;

%Se ha modificado la Wavelet
set(findobj('Tag','StaticTextW'),'UserData','T');

set(findobj('Tag','ListBoxEntrenamiento'),'String','','value',1);
set(findobj('Tag','ListBoxTest'),'String','','value',1);

%DesHabilita Opciones
set(findobj('Tag','PushButtonEntrena'),'Enable','off');
set(findobj('Tag','PopupMenuKernel'),'Enable','off');
set(findobj('Tag','EditTextParametros'),'Enable','off');
set(findobj('Tag','PushButtonClasifica'),'Enable','off');

set(findobj('Tag','StaticTextExito'),'String','---');

%Presenta Resultados
set(findobj('Tag','StaticTextTiempo'),'String',' ');
set(findobj('Tag','StaticTextEstado'),'string',' ');

opcion=get(findobj('Tag','RadioButtonVW'),'value');
if opcion==1
	%muestra Wavelet
   calculawavelet;
end;
